| Kea 3.0.2-git

alloc_engine.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcp/classify.h>`
`#include <dhcp/duid.h>`
`#include <dhcp/hwaddr.h>`
`#include <dhcp/pkt4.h>`
`#include <dhcp/pkt6.h>`
`#include <dhcp/option6_ia.h>`
`#include <dhcp/option6_iaaddr.h>`
`#include <dhcp/option6_iaprefix.h>`
`#include <dhcpsrv/allocator.h>`
`#include <dhcpsrv/d2_client_cfg.h>`
`#include <dhcpsrv/host.h>`
`#include <dhcpsrv/subnet.h>`
`#include <dhcpsrv/lease_mgr.h>`
`#include <dhcpsrv/srv_config.h>`
`#include <hooks/callout_handle.h>`
`#include <util/multi_threading_mgr.h>`
`#include <util/readwrite_mutex.h>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/noncopyable.hpp>`
`#include <functional>`
`#include <list>`
`#include <map>`
`#include <mutex>`
`#include <set>`
`#include <utility>`
Include dependency graph for alloc_engine.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::AllocEngine
| DHCPv4 and DHCPv6 allocation engine. More...
struct | isc::dhcp::AllocEngine::ClientContext4
| Context information for the DHCPv4 lease allocation. More...
struct | isc::dhcp::AllocEngine::ClientContext6
| Context information for the DHCPv6 leases allocation. More...
struct | isc::dhcp::AllocEngine::ClientContext6::IAContext
| Parameters pertaining to individual IAs. More...
class | isc::dhcp::AllocEngine::Resource
| Defines a single hint. More...
struct | isc::dhcp::AllocEngine::ResourceCompare
| Resource compare class. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< AllocEngine > | isc::dhcp::AllocEnginePtr
| A pointer to the `AllocEngine` object.